//	ＡＩＧライブラリ　メニューサポート関数
//		Copyright (C) 1989-1993 by AIG-SOFT

#ifndef	__AIG_MENUS__
#define	__AIG_MENUS__	1

#include "menu.h"


#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	int	load_xy(unchar *,int,int *,int *);
	int	save_xy(unchar *,int,int *,int *,int);
	int	load_help_xy(unchar *,int *,int *);
	int	save_help_xy(unchar *,int,int);
	
	unchar	*exec_err_mes(unchar *);
	
	int	wmenu_width(int,int,int,int,int,unchar **,_MENU_DATA *,int *);
	int	tmenu_width(int,int,int,unchar **,_MENU_DATA *,int *);
	int	mini_menu_width(int,int,int,unchar **,_MENU_DATA *,int *);
	
	int	menu_mouse(int,int *,int *,int,int,int,int,int,int
				,int,int,int,int,_MENU_DATA *,int *);
	int	tmenu_mouse(int,int *,int *,_MENU_DATA *,int *);
	int	mini_menu_mouse(int,int *,int,int,int,int
					,int,_MENU_DATA *,int *);
	
	int	move_area(int *,int *,int *,int *,unchar *(*),int
						,int,int,int,int);
	void	make_waku(int,int,int,int,_MENU_DATA *,MCOLORS *);
	
	void	menu_close(int,int,int,int,unchar *,_MENU_DATA *,MCOLORS *,int);
	void	ReverseSel(int *,int );
#else
	int	load_xy();
	int	save_xy();
	int	load_help_xy();
	int	save_help_xy();
	
	unchar	*exec_err_mes();
	
	int	wmenu_width();
	int	tmenu_width();
	int	mini_menu_width();
	
	int	menu_mouse();
	int	tmenu_mouse();
	int	mini_menu_mouse();
	
	int	move_area();
	void	make_waku();
	
	void	menu_close();
	void	ReverseSel();
#endif
#ifdef	__cplusplus
}
#endif

#endif
